<?php

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("datahandler_user_update", "polishims_datahandler_user_update");
$plugins->add_hook("usercp_start", "polishims_usercp_start");
$plugins->add_hook("member_profile_start", "polishims_member_profile_start");

function polishims_info()
{
	return array(
		"name"			=> "Polish IMs",
		"description"	=> "Adds Profile Fields for additional Instant Messengers - especially popular in Poland.",
		"website"		=> "http://mybboard.pl/",
		"author"		=> "bryn",
		"authorsite"	=> "",
		"version"		=> "1.1",
		// last changed on Sep 14, 2007
	);
}

function polishims_activate()
{
	// Adding a new column in the database - let there be a place for our UIDs	
	
	global $db;
	
	// Since columns aren't DROPped during deactivation, we have to check which of them do we have to create
	$tlen = 0;
	$gadu = 0;
	$jabber = 0;
	$aqq = 0;
	
	$query = $db->query("SHOW FIELDS FROM ".TABLE_PREFIX."users");	
	while($field = $db->fetch_array($query))
	{
		if($field['Field'] == 'gadu') $gadu = 1;
		if($field['Field'] == 'tlen') $tlen = 1;
		if($field['Field'] == 'jabber') $jabber = 1;
		if($field['Field'] == 'aqq') $aqq = 1;
	}
	
	if ($gadu==0) $q = $db->query("ALTER TABLE ".TABLE_PREFIX."users ADD gadu VARCHAR(16) NOT NULL");
	if ($tlen==0) $q = $db->query("ALTER TABLE ".TABLE_PREFIX."users ADD tlen VARCHAR(64) NOT NULL");
	if ($jabber==0) $q = $db->query("ALTER TABLE ".TABLE_PREFIX."users ADD jabber VARCHAR(64) NOT NULL");
	if ($aqq==0) $q = $db->query("ALTER TABLE ".TABLE_PREFIX."users ADD aqq VARCHAR(64) NOT NULL");	
}

function polishims_deactivate()
{
	// Actually the columns could have been DROPped here, but... let it be a bit looser-friendly ;)
}

function polishims_usercp_start()
{
	global $lang;	
	$lang->load("polishims");
}

function polishims_member_profile_start()
{
	global $lang;	
	$lang->load("polishims");
}


function polishims_datahandler_user_update($it)
{
	global $user,$mybb;

	// Adding UIDs to the array which contains data prepared to update in the DB	
	if ((isset($mybb->input['gadu']))&&((is_numeric($mybb->input['gadu']))||($mybb->input['gadu']=='')))
	{
		$it->user_update_data['gadu'] = $mybb->input['gadu'];
	}
	
	if (isset($mybb->input['tlen']))
	{
		$it->user_update_data['tlen'] = $mybb->input['tlen'];
	}
	
	if (isset($mybb->input['jabber']))
	{
		$it->user_update_data['jabber'] = $mybb->input['jabber'];
	}
	
	if ((isset($mybb->input['aqq']))&&((is_numeric($mybb->input['aqq']))||($mybb->input['aqq']=='')))
	{
		$it->user_update_data['aqq'] = $mybb->input['aqq'];
	}
}



?>
